part of 'currency.dart';

const currencyMap = {
  'AED': Currency._(
    name: 'Emirati Dirham',
    code: CurrencyCode.AED,
    number: 784,
    digits: 2,
    symbol: r'د.إ',
  ),
  'AFN': Currency._(
    name: 'Afghan Afghani',
    code: CurrencyCode.AFN,
    number: 971,
    digits: 2,
    symbol: r'؋',
  ),
  'ALL': Currency._(
    name: 'Albanian Lek',
    code: CurrencyCode.ALL,
    number: 8,
    digits: 2,
    symbol: r'L',
  ),
  'AMD': Currency._(
    name: 'Armenian Dram',
    code: CurrencyCode.AMD,
    number: 51,
    digits: 2,
    symbol: r'դր.',
  ),
  'ANG': Currency._(
    name: 'Dutch Guilder',
    code: CurrencyCode.ANG,
    number: 532,
    digits: 2,
    symbol: r'ƒ',
  ),
  'AOA': Currency._(
    name: 'Angolan Kwanza',
    code: CurrencyCode.AOA,
    number: 973,
    digits: 2,
    symbol: r'Kz',
  ),
  'ARS': Currency._(
    name: 'Argentine Peso',
    code: CurrencyCode.ARS,
    number: 32,
    digits: 2,
    symbol: r'$',
  ),
  'AUD': Currency._(
    name: 'Australian Dollar',
    code: CurrencyCode.AUD,
    number: 36,
    digits: 2,
    symbol: r'$',
  ),
  'AWG': Currency._(
    name: 'Aruba Guilder',
    code: CurrencyCode.AWG,
    number: 533,
    digits: 2,
    symbol: r'ƒ',
  ),
  'AZN': Currency._(
    name: 'Azerbaijan Manat',
    code: CurrencyCode.AZN,
    number: 944,
    digits: 2,
    symbol: r'₼',
  ),
  'BAM': Currency._(
    name: 'Bosnian Convertible Marka',
    code: CurrencyCode.BAM,
    number: 977,
    digits: 2,
    symbol: r'KM',
  ),
  'BBD': Currency._(
    name: 'Barbadian Dollar',
    code: CurrencyCode.BBD,
    number: 52,
    digits: 2,
    symbol: r'$',
  ),
  'BDT': Currency._(
    name: 'Bangladeshi Taka',
    code: CurrencyCode.BDT,
    number: 50,
    digits: 2,
    symbol: r'৳',
  ),
  'BGN': Currency._(
    name: 'Bulgarian Lev',
    code: CurrencyCode.BGN,
    number: 975,
    digits: 2,
    symbol: r'лв.',
  ),
  'BIF': Currency._(
    name: 'Burundian Franc',
    code: CurrencyCode.BIF,
    number: 108,
    digits: 0,
    symbol: r'Fr',
  ),
  'BMD': Currency._(
    name: 'Bermudian Dollar',
    code: CurrencyCode.BMD,
    number: 60,
    digits: 2,
    symbol: r'$',
  ),
  'BND': Currency._(
    name: 'Brunei Dollar',
    code: CurrencyCode.BND,
    number: 96,
    digits: 2,
    symbol: r'$',
  ),
  'BOB': Currency._(
    name: 'Bolivian Boliviano',
    code: CurrencyCode.BOB,
    number: 68,
    digits: 2,
    symbol: r'$b',
  ),
  'BRL': Currency._(
    name: 'Brazilian Real',
    code: CurrencyCode.BRL,
    number: 986,
    digits: 2,
    symbol: r'R$',
  ),
  'BSD': Currency._(
    name: 'Bahamian Dollar',
    code: CurrencyCode.BSD,
    number: 44,
    digits: 2,
    symbol: r'B$',
  ),
  'BWP': Currency._(
    name: 'Botswana Pula',
    code: CurrencyCode.BWP,
    number: 72,
    digits: 2,
    symbol: r'P',
  ),
  'BZD': Currency._(
    name: 'Belize Dollar',
    code: CurrencyCode.BZD,
    number: 84,
    digits: 2,
    symbol: r'$',
  ),
  'CAD': Currency._(
    name: 'Canadian Dollar',
    code: CurrencyCode.CAD,
    number: 124,
    digits: 2,
    symbol: r'$',
  ),
  'CDF': Currency._(
    name: 'Congolese franc',
    code: CurrencyCode.CDF,
    number: 976,
    digits: 2,
    symbol: r'Fr',
  ),
  'CHF': Currency._(
    name: 'Swiss Franc',
    code: CurrencyCode.CHF,
    number: 756,
    digits: 2,
    symbol: r'CHF',
  ),
  'CLP': Currency._(
    name: 'Chilean Peso',
    code: CurrencyCode.CLP,
    number: 152,
    digits: 0,
    symbol: r'$',
  ),
  'CNY': Currency._(
    name: 'Chinese Yuan',
    code: CurrencyCode.CNY,
    number: 156,
    digits: 2,
    symbol: r'¥',
  ),
  'COP': Currency._(
    name: 'Colombian Peso',
    code: CurrencyCode.COP,
    number: 170,
    digits: 2,
    symbol: r'$',
  ),
  'CRC': Currency._(
    name: 'Costa Rican Colón',
    code: CurrencyCode.CRC,
    number: 188,
    digits: 2,
    symbol: r'₡',
  ),
  'CVE': Currency._(
    name: 'Cape Verdean Escudo',
    code: CurrencyCode.CVE,
    number: 132,
    digits: 2,
    symbol: r'Esc',
  ),
  'CZK': Currency._(
    name: 'Czech Koruna',
    code: CurrencyCode.CZK,
    number: 203,
    digits: 2,
    symbol: r'Kč',
  ),
  'DJF': Currency._(
    name: 'Djiboutian Franc',
    code: CurrencyCode.DJF,
    number: 262,
    digits: 0,
    symbol: r'Fdj',
  ),
  'DKK': Currency._(
    name: 'Danish Krone',
    code: CurrencyCode.DKK,
    number: 208,
    digits: 2,
    symbol: r'kr',
  ),
  'DOP': Currency._(
    name: 'Dominican Peso',
    code: CurrencyCode.DOP,
    number: 214,
    digits: 2,
    symbol: r'RD$',
  ),
  'DZD': Currency._(
    name: 'Algerian Dinar',
    code: CurrencyCode.DZD,
    number: 12,
    digits: 2,
    symbol: r'د.ج',
  ),
  'EGP': Currency._(
    name: 'Egyptian Pound',
    code: CurrencyCode.EGP,
    number: 818,
    digits: 2,
    symbol: r'ج.م',
  ),
  'ETB': Currency._(
    name: 'Ethiopian Birr',
    code: CurrencyCode.ETB,
    number: 230,
    digits: 2,
    symbol: r'ብር',
  ),
  'EUR': Currency._(
    name: 'Euro',
    code: CurrencyCode.EUR,
    number: 978,
    digits: 2,
    symbol: r'€',
  ),
  'FJD': Currency._(
    name: 'Fijian Dollar',
    code: CurrencyCode.FJD,
    number: 242,
    digits: 2,
    symbol: r'$',
  ),
  'FKP': Currency._(
    name: 'Falkland Islands Pound',
    code: CurrencyCode.FKP,
    number: 238,
    digits: 2,
    symbol: r'FK£',
  ),
  'GBP': Currency._(
    name: 'British Pound',
    code: CurrencyCode.GBP,
    number: 826,
    digits: 2,
    symbol: r'£',
  ),
  'GEL': Currency._(
    name: 'Georgian Lari',
    code: CurrencyCode.GEL,
    number: 981,
    digits: 2,
    symbol: r'ლ',
  ),
  'GIP': Currency._(
    name: 'Gibraltar Pound',
    code: CurrencyCode.GIP,
    number: 292,
    digits: 2,
    symbol: r'£',
  ),
  'GMD': Currency._(
    name: 'Gambian Dalasi',
    code: CurrencyCode.GMD,
    number: 270,
    digits: 2,
    symbol: r'D',
  ),
  'GNF': Currency._(
    name: 'Guinean Franc',
    code: CurrencyCode.GNF,
    number: 324,
    digits: 0,
    symbol: r'Fr',
  ),
  'GTQ': Currency._(
    name: 'Guatemalan Quetzal',
    code: CurrencyCode.GTQ,
    number: 320,
    digits: 2,
    symbol: r'Q',
  ),
  'GYD': Currency._(
    name: 'Guyanese Dollar',
    code: CurrencyCode.GYD,
    number: 328,
    digits: 2,
    symbol: r'$',
  ),
  'HKD': Currency._(
    name: 'Hong Kong Dollar',
    code: CurrencyCode.HKD,
    number: 344,
    digits: 2,
    symbol: r'$',
  ),
  'HNL': Currency._(
    name: 'Honduran Lempira',
    code: CurrencyCode.HNL,
    number: 340,
    digits: 2,
    symbol: r'L',
  ),
  'HRK': Currency._(
    name: 'Croatian Kuna',
    code: CurrencyCode.HRK,
    number: 191,
    digits: 2,
    symbol: r'kn',
  ),
  'HTG': Currency._(
    name: 'Haitian Gourde',
    code: CurrencyCode.HTG,
    number: 332,
    digits: 2,
    symbol: r'G',
  ),
  'HUF': Currency._(
    name: 'Hungarian Forint',
    code: CurrencyCode.HUF,
    number: 348,
    digits: 2,
    symbol: r'Ft',
  ),
  'ILS': Currency._(
    name: 'Israeli New Shekel',
    code: CurrencyCode.ILS,
    number: 376,
    digits: 2,
    symbol: r'₪',
  ),
  'INR': Currency._(
    name: 'Indian Rupee',
    code: CurrencyCode.INR,
    number: 356,
    digits: 2,
    symbol: r'₹',
  ),
  'ISK': Currency._(
    name: 'Icelandic Krona',
    code: CurrencyCode.ISK,
    number: 352,
    digits: 0,
    symbol: r'ISK',
  ),
  'JMD': Currency._(
    name: 'Jamaican Dollar',
    code: CurrencyCode.JMD,
    number: 388,
    digits: 2,
    symbol: r'$',
  ),
  'JPY': Currency._(
    name: 'Japanese Yen',
    code: CurrencyCode.JPY,
    number: 392,
    digits: 0,
    symbol: r'¥',
  ),
  'KES': Currency._(
    name: 'Kenyan Shilling',
    code: CurrencyCode.KES,
    number: 404,
    digits: 2,
    symbol: r'KSh',
  ),
  'KGS': Currency._(
    name: 'Kyrgyzstani Som',
    code: CurrencyCode.KGS,
    number: 417,
    digits: 2,
    symbol: r'лв',
  ),
  'KHR': Currency._(
    name: 'Cambodian Riel',
    code: CurrencyCode.KHR,
    number: 116,
    digits: 2,
    symbol: r'៛',
  ),
  'KMF': Currency._(
    name: 'Comorian Franc',
    code: CurrencyCode.KMF,
    number: 174,
    digits: 0,
    symbol: r'Fr',
  ),
  'KRW': Currency._(
    name: 'South Korean Won',
    code: CurrencyCode.KRW,
    number: 410,
    digits: 0,
    symbol: r'₩',
  ),
  'KYD': Currency._(
    name: 'Cayman Islands Dollar',
    code: CurrencyCode.KYD,
    number: 136,
    digits: 2,
    symbol: r'$',
  ),
  'KZT': Currency._(
    name: 'Kazakhstani Tenge',
    code: CurrencyCode.KZT,
    number: 398,
    digits: 2,
    symbol: r'₸',
  ),
  'LAK': Currency._(
    name: 'Lao Kip',
    code: CurrencyCode.LAK,
    number: 418,
    digits: 2,
    symbol: r'₭',
  ),
  'LBP': Currency._(
    name: 'Lebanese Pound',
    code: CurrencyCode.LBP,
    number: 422,
    digits: 2,
    symbol: r'LL',
  ),
  'LKR': Currency._(
    name: 'Sri Lankan Rupee',
    code: CurrencyCode.LKR,
    number: 144,
    digits: 2,
    symbol: r'Rs',
  ),
  'LRD': Currency._(
    name: 'Liberian Dollar',
    code: CurrencyCode.LRD,
    number: 430,
    digits: 2,
    symbol: r'$',
  ),
  'LSL': Currency._(
    name: 'Lesotho loti',
    code: CurrencyCode.LSL,
    number: 426,
    digits: 2,
    symbol: r'L',
  ),
  'MAD': Currency._(
    name: 'Moroccan Dirham',
    code: CurrencyCode.MAD,
    number: 504,
    digits: 2,
    symbol: r'DH',
  ),
  'MDL': Currency._(
    name: 'Moldovan Leu',
    code: CurrencyCode.MDL,
    number: 498,
    digits: 2,
    symbol: r'MDL',
  ),
  'MGA': Currency._(
    name: 'Malagasy Ariary',
    code: CurrencyCode.MGA,
    number: 969,
    digits: 2,
    symbol: r'Ar',
  ),
  'MKD': Currency._(
    name: 'Macedonian Denar',
    code: CurrencyCode.MKD,
    number: 807,
    digits: 2,
    symbol: r'ден',
  ),
  'MMK': Currency._(
    name: 'Myanmar Kyat',
    code: CurrencyCode.MMK,
    number: 104,
    digits: 2,
    symbol: r'K',
  ),
  'MNT': Currency._(
    name: 'Mongolian Tughrik',
    code: CurrencyCode.MNT,
    number: 496,
    digits: 2,
    symbol: r'₮',
  ),
  'MOP': Currency._(
    name: 'Macanese Pataca',
    code: CurrencyCode.MOP,
    number: 446,
    digits: 2,
    symbol: r'MOP',
  ),
  'MUR': Currency._(
    name: 'Mauritian Rupee',
    code: CurrencyCode.MUR,
    number: 480,
    digits: 2,
    symbol: r'Ɍs',
  ),
  'MVR': Currency._(
    name: 'Maldivian Rufiyaa',
    code: CurrencyCode.MVR,
    number: 462,
    digits: 2,
    symbol: r'Rf',
  ),
  'MWK': Currency._(
    name: 'Malawian Kwacha',
    code: CurrencyCode.MWK,
    number: 454,
    digits: 2,
    symbol: r'MK',
  ),
  'MXN': Currency._(
    name: 'Mexican Peso',
    code: CurrencyCode.MXN,
    number: 484,
    digits: 2,
    symbol: r'$',
  ),
  'MYR': Currency._(
    name: 'Malaysian Ringgit',
    code: CurrencyCode.MYR,
    number: 458,
    digits: 2,
    symbol: r'RM',
  ),
  'MZN': Currency._(
    name: 'Mozambican Metical',
    code: CurrencyCode.MZN,
    number: 943,
    digits: 2,
    symbol: r'MT',
  ),
  'NAD': Currency._(
    name: 'Namibian Dollar',
    code: CurrencyCode.NAD,
    number: 516,
    digits: 2,
    symbol: r'$',
  ),
  'NGN': Currency._(
    name: 'Nigerian Naira',
    code: CurrencyCode.NGN,
    number: 566,
    digits: 2,
    symbol: r'₦',
  ),
  'NIO': Currency._(
    name: 'Nicaraguan Córdoba',
    code: CurrencyCode.NIO,
    number: 558,
    digits: 2,
    symbol: r'C$',
  ),
  'NOK': Currency._(
    name: 'Norwegian Krone',
    code: CurrencyCode.NOK,
    number: 578,
    digits: 2,
    symbol: r'kr',
  ),
  'NPR': Currency._(
    name: 'Nepalese Rupee',
    code: CurrencyCode.NPR,
    number: 524,
    digits: 2,
    symbol: r'रु',
  ),
  'NZD': Currency._(
    name: 'New Zealand Dollar',
    code: CurrencyCode.NZD,
    number: 554,
    digits: 2,
    symbol: r'$',
  ),
  'PAB': Currency._(
    name: 'Panamanian Balboa',
    code: CurrencyCode.PAB,
    number: 590,
    digits: 2,
    symbol: r'B/.',
  ),
  'PEN': Currency._(
    name: 'Peruvian Sol',
    code: CurrencyCode.PEN,
    number: 604,
    digits: 2,
    symbol: r'S/.',
  ),
  'PGK': Currency._(
    name: 'Papua New Guinean Kina',
    code: CurrencyCode.PGK,
    number: 598,
    digits: 2,
    symbol: r'K',
  ),
  'PHP': Currency._(
    name: 'Philippine Peso',
    code: CurrencyCode.PHP,
    number: 608,
    digits: 2,
    symbol: r'₱',
  ),
  'PKR': Currency._(
    name: 'Pakistani Rupee',
    code: CurrencyCode.PKR,
    number: 586,
    digits: 2,
    symbol: r'Rs',
  ),
  'PLN': Currency._(
    name: 'Polish Zloty',
    code: CurrencyCode.PLN,
    number: 985,
    digits: 2,
    symbol: r'zł',
  ),
  'PYG': Currency._(
    name: 'Paraguayan Guarani',
    code: CurrencyCode.PYG,
    number: 600,
    digits: 0,
    symbol: r'₲',
  ),
  'QAR': Currency._(
    name: 'Qatari Riyal',
    code: CurrencyCode.QAR,
    number: 634,
    digits: 2,
    symbol: r'ر.ق',
  ),
  'RON': Currency._(
    name: 'Romanian Leu',
    code: CurrencyCode.RON,
    number: 946,
    digits: 2,
    symbol: r'lei',
  ),
  'RSD': Currency._(
    name: 'Serbian Diner',
    code: CurrencyCode.RSD,
    number: 941,
    digits: 2,
    symbol: r'Дин',
  ),
  'RUB': Currency._(
    name: 'Russian Rubel',
    code: CurrencyCode.RUB,
    number: 643,
    digits: 2,
    symbol: r'руб',
  ),
  'RWF': Currency._(
    name: 'Rwandan Franc',
    code: CurrencyCode.RWF,
    number: 646,
    digits: 0,
    symbol: r'FRw',
  ),
  'SAR': Currency._(
    name: 'Saudi Arabian Riyal',
    code: CurrencyCode.SAR,
    number: 682,
    digits: 2,
    symbol: r'ر.س',
  ),
  'SBD': Currency._(
    name: 'Solomon Islands Dollar',
    code: CurrencyCode.SBD,
    number: 90,
    digits: 2,
    symbol: r'$',
  ),
  'SCR': Currency._(
    name: 'Seychellois Rupee',
    code: CurrencyCode.SCR,
    number: 690,
    digits: 2,
    symbol: r'Ɍs',
  ),
  'SEK': Currency._(
    name: 'Swedish Krona',
    code: CurrencyCode.SEK,
    number: 752,
    digits: 2,
    symbol: r'kr',
  ),
  'SGD': Currency._(
    name: 'Singapore Dollar',
    code: CurrencyCode.SGD,
    number: 702,
    digits: 2,
    symbol: r'$',
  ),
  'SLL': Currency._(
    name: 'Sierra Leonean Leone',
    code: CurrencyCode.SLL,
    number: 694,
    digits: 2,
    symbol: r'Le',
  ),
  'SOS': Currency._(
    name: 'Somali Shilling',
    code: CurrencyCode.SOS,
    number: 706,
    digits: 2,
    symbol: r'SOS',
  ),
  'SRD': Currency._(
    name: 'Surinamese Dollar',
    code: CurrencyCode.SRD,
    number: 968,
    digits: 2,
    symbol: r'$',
  ),
  'SVC': Currency._(
    name: 'Salvadoran Colón',
    code: CurrencyCode.SVC,
    number: 222,
    digits: 2,
    symbol: r'SVC',
  ),
  'SZL': Currency._(
    name: 'Swazi Lilangeni',
    code: CurrencyCode.SZL,
    number: 748,
    digits: 2,
    symbol: r'SZL',
  ),
  'THB': Currency._(
    name: 'Thai Baht',
    code: CurrencyCode.THB,
    number: 764,
    digits: 2,
    symbol: r'฿',
  ),
  'TJS': Currency._(
    name: 'Tajikistani Somoni',
    code: CurrencyCode.TJS,
    number: 972,
    digits: 2,
    symbol: r'TJS',
  ),
  'TOP': Currency._(
    name: 'Tongan Paanga',
    code: CurrencyCode.TOP,
    number: 776,
    digits: 2,
    symbol: r'T$',
  ),
  'TRY': Currency._(
    name: 'Turkish Lira',
    code: CurrencyCode.TRY,
    number: 949,
    digits: 2,
    symbol: r'TL',
  ),
  'TTD': Currency._(
    name: 'Trinidad and Tobago Dollar',
    code: CurrencyCode.TTD,
    number: 780,
    digits: 2,
    symbol: r'$',
  ),
  'TWD': Currency._(
    name: 'Taiwan New Dollar',
    code: CurrencyCode.TWD,
    number: 901,
    digits: 2,
    symbol: r'$',
  ),
  'TZS': Currency._(
    name: 'Tanzanian Shilling',
    code: CurrencyCode.TZS,
    number: 834,
    digits: 2,
    symbol: r'TSh',
  ),
  'UAH': Currency._(
    name: 'Ukrainian Hryvnia',
    code: CurrencyCode.UAH,
    number: 980,
    digits: 2,
    symbol: r'₴',
  ),
  'UGX': Currency._(
    name: 'Ugandan Shilling',
    code: CurrencyCode.UGX,
    number: 800,
    digits: 0,
    symbol: r'USh',
  ),
  'USD': Currency._(
    name: 'US Dollar',
    code: CurrencyCode.USD,
    number: 840,
    digits: 2,
    symbol: r'$',
  ),
  'UYU': Currency._(
    name: 'Uruguayan Peso',
    code: CurrencyCode.UYU,
    number: 858,
    digits: 2,
    symbol: r'$',
  ),
  'UZS': Currency._(
    name: 'Uzbekistani Som',
    code: CurrencyCode.UZS,
    number: 860,
    digits: 2,
    symbol: r'лв',
  ),
  'VND': Currency._(
    name: 'Vietnamese Đồng',
    code: CurrencyCode.VND,
    number: 704,
    digits: 0,
    symbol: r'₫',
  ),
  'VUV': Currency._(
    name: 'Vanuatu vatu',
    code: CurrencyCode.VUV,
    number: 548,
    digits: 0,
    symbol: r'VT',
  ),
  'WST': Currency._(
    name: 'Samoan Tala',
    code: CurrencyCode.WST,
    number: 882,
    digits: 2,
    symbol: r'WST',
  ),
  'XAF': Currency._(
    name: 'Central African Franc',
    code: CurrencyCode.XAF,
    number: 950,
    digits: 0,
    symbol: r'Fr',
  ),
  'XCD': Currency._(
    name: 'East Caribbean Dollar',
    code: CurrencyCode.XCD,
    number: 951,
    digits: 2,
    symbol: r'$',
  ),
  'XOF': Currency._(
    name: 'West African Franc',
    code: CurrencyCode.XOF,
    number: 952,
    digits: 0,
    symbol: r'XOF',
  ),
  'XPF': Currency._(
    name: 'CFP Franc',
    code: CurrencyCode.XPF,
    number: 953,
    digits: 0,
    symbol: r'Fr',
  ),
  'YER': Currency._(
    name: 'Yemeni Rial',
    code: CurrencyCode.YER,
    number: 886,
    digits: 2,
    symbol: r'﷼',
  ),
  'ZAR': Currency._(
    name: 'South African Rand',
    code: CurrencyCode.ZAR,
    number: 710,
    digits: 2,
    symbol: r'R',
  ),
  'ZMW': Currency._(
    name: 'Zambian Kwacha',
    code: CurrencyCode.ZMW,
    number: 967,
    digits: 2,
    symbol: r'ZMW',
  ),
  'BHD': Currency._(
    name: 'Bahraini Dinar',
    code: CurrencyCode.BHD,
    number: 48,
    digits: 3,
    symbol: r'.د.ب',
  ),
  'BTN': Currency._(
    name: 'Ngultrum',
    code: CurrencyCode.BTN,
    number: 64,
    digits: 2,
    symbol: r'Nu.',
  ),
  'CUP': Currency._(
    name: 'Cuban Peso',
    code: CurrencyCode.CUP,
    number: 192,
    digits: 2,
    symbol: r'$MN',
  ),
  'ERN': Currency._(
    name: 'Nakfa',
    code: CurrencyCode.ERN,
    number: 232,
    digits: 2,
    symbol: r'Nkf',
  ),
  'IDR': Currency._(
    name: 'Rupiah',
    code: CurrencyCode.IDR,
    number: 360,
    digits: 2,
    symbol: r'Rp',
  ),
  'IRR': Currency._(
    name: 'Iranian Rial',
    code: CurrencyCode.IRR,
    number: 364,
    digits: 2,
    symbol: r'﷼',
  ),
  'IQD': Currency._(
    name: 'Iraqi Dinar',
    code: CurrencyCode.IQD,
    number: 368,
    digits: 3,
    symbol: r'د.ع',
  ),
  'JOD': Currency._(
    name: 'Jordanian Dinar',
    code: CurrencyCode.JOD,
    number: 400,
    digits: 3,
    symbol: r'د.أ',
  ),
  'KPW': Currency._(
    name: 'North Korean Won',
    code: CurrencyCode.KPW,
    number: 408,
    digits: 2,
    symbol: r'₩',
  ),
  'KWD': Currency._(
    name: 'Kuwaiti Dinar',
    code: CurrencyCode.KWD,
    number: 414,
    digits: 3,
    symbol: r'د.ك',
  ),
  'LYD': Currency._(
    name: 'Libyan Dinar',
    code: CurrencyCode.LYD,
    number: 434,
    digits: 3,
    symbol: r'ل.د',
  ),
  'OMR': Currency._(
    name: 'Rial Omani',
    code: CurrencyCode.OMR,
    number: 512,
    digits: 3,
    symbol: r'ر.ع.',
  ),
  'SHP': Currency._(
    name: 'Saint Helena Pound',
    code: CurrencyCode.SHP,
    number: 654,
    digits: 2,
    symbol: r'£',
  ),
  'SSP': Currency._(
    name: 'South Sudanese Pound',
    code: CurrencyCode.SSP,
    number: 728,
    digits: 2,
    symbol: r'SS£',
  ),
  'SYP': Currency._(
    name: 'Syrian Pound',
    code: CurrencyCode.SYP,
    number: 760,
    digits: 2,
    symbol: r'£S',
  ),
  'TND': Currency._(
    name: 'Tunisian Dinar',
    code: CurrencyCode.TND,
    number: 788,
    digits: 3,
    symbol: r'د.ت',
  ),
  'VES': Currency._(
    name: 'Bolívar Soberano',
    code: CurrencyCode.VES,
    number: 928,
    digits: 2,
    symbol: r'Bs.',
  ),
  'MRU': Currency._(
    name: 'Ouguiya',
    code: CurrencyCode.MRU,
    number: 929,
    digits: 2,
    symbol: r'UM',
  ),
  'STN': Currency._(
    name: 'Dobra',
    code: CurrencyCode.STN,
    number: 930,
    digits: 2,
    symbol: r'Db',
  ),
  'CUC': Currency._(
    name: 'Peso Convertible',
    code: CurrencyCode.CUC,
    number: 931,
    digits: 2,
    symbol: r'CUC$',
  ),
  'ZWL': Currency._(
    name: 'Zimbabwe Dollar',
    code: CurrencyCode.ZWL,
    number: 932,
    digits: 2,
    symbol: r'$',
  ),
  'BYN': Currency._(
    name: 'Belarusian Ruble',
    code: CurrencyCode.BYN,
    number: 933,
    digits: 2,
    symbol: r'Br',
  ),
  'TMT': Currency._(
    name: 'Turkmenistan New Manat',
    code: CurrencyCode.TMT,
    number: 934,
    digits: 2,
    symbol: r'm',
  ),
  'GHS': Currency._(
    name: 'Ghana Cedi',
    code: CurrencyCode.GHS,
    number: 936,
    digits: 2,
    symbol: r'GH₵',
  ),
  'SDG': Currency._(
    name: 'Sudanese Pound',
    code: CurrencyCode.SDG,
    number: 938,
    digits: 2,
    symbol: r'ج.س',
  ),
};
